gstreamermm: Gst::MessageSegmentStart Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageSegmentStart Class Reference

A segment start message. More...

Inheritance diagram for Gst::MessageSegmentStart:
[legend]
Collaboration diagram for Gst::MessageSegmentStart:
[legend]

List of all members.

## Public Member Functions
| MessageSegmentStart (GstMessage* castitem)
void | parse (Format& format, gint64& position) const
| Extracts the position and format from the segment start message.
gint64 | parse () const
| Extracts and returns the position from the segment start message.
Format | parse_format () const
| Extracts and returns the format from the segment start message.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageSegmentStart > | create (const Glib::RefPtr< Gst::Object >& src, Format format, gint64 position)
| Create a new segment message.

## Detailed Description

A segment start message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageSegmentStart::MessageSegmentStart | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageSegmentStart> Gst::MessageSegmentStart::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Format | format,
|  | gint64 | position
| ) |  | `[static]`

Create a new segment message.

This message is posted by elements that start playback of a segment as a result of a segment seek. This message is not received by the application but is used for maintenance reasons in container elements.

Parameters:

  src | The object originating the message.
  format | The format of the position being played.
  position | The position of the segment being played.

Returns:
  The new segment start message. MT safe.

void Gst::MessageSegmentStart::parse | ( | Format& | format,
|  | gint64 & | position
| ) |  | const

Extracts the position and format from the segment start message.

MT safe.

Parameters:

  format | Result location for the format.
  position | Result location for the position.

gint64 Gst::MessageSegmentStart::parse | ( |  | ) | const

Extracts and returns the position from the segment start message.

MT safe.

Returns:
  The position.

Format Gst::MessageSegmentStart::parse_format | ( |  | ) | const

Extracts and returns the format from the segment start message.

MT safe.

Returns:
  The format.

The documentation for this class was generated from the following file:

- gstreamermm/message.h